<html
    xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
    xmlns:be="http://typo3.org/ns/TYPO3/CMS/Backend/ViewHelpers"
    data-namespace-typo3-fluid="true">

<f:layout name="Default" />

This template is responsible for creating a table of domain objects.

If you modify this template, do not forget to change the overwrite settings
in /Configuration/ExtensionBuilder/settings.yaml:
  Resources:
    Private:
      Backend:
        Templates:
          Location:
            List.html: keep

Otherwise your changes will be overwritten the next time you save the extension in the extension builder

<f:section name="Buttons">
    <be:moduleLayout.button.linkButton
        icon="actions-add"
        title="{f:translate(id: 'LLL:EXT:backend/Resources/Private/Language/locallang_layout.xlf:newRecordGeneral')}"
        link="{f:uri.action(controller: 'Location', action: 'new')}"
    />
</f:section>

<f:section name="Content">
    <h1>Listing for Location</h1>

    <f:flashMessages />

    <table class="tx_sisbase">
        <tr>
            <th><f:translate key="tx_sisbase_domain_model_location.name" /></th>
            <th><f:translate key="tx_sisbase_domain_model_location.alt_name" /></th>
            <th><f:translate key="tx_sisbase_domain_model_location.capacity" /></th>
            <th><f:translate key="tx_sisbase_domain_model_location.logo" /></th>
            <th><f:translate key="tx_sisbase_domain_model_location.images" /></th>
            <th><f:translate key="tx_sisbase_domain_model_location.description" /></th>
            <th><f:translate key="tx_sisbase_domain_model_location.street" /></th>
            <th><f:translate key="tx_sisbase_domain_model_location.city" /></th>
            <th><f:translate key="tx_sisbase_domain_model_location.zip" /></th>
            <th><f:translate key="tx_sisbase_domain_model_location.country" /></th>
            <th><f:translate key="tx_sisbase_domain_model_location.country_code" /></th>
            <th><f:translate key="tx_sisbase_domain_model_location.lng" /></th>
            <th><f:translate key="tx_sisbase_domain_model_location.lat" /></th>
            <th></th>
            <th></th>
        </tr>
        <f:for each="{locations}" as="location">
            <tr>
                <td><f:link.action action="show" arguments="{location: location}">{location.name}</f:link.action></td>
                <td><f:link.action action="show" arguments="{location: location}">{location.altName}</f:link.action></td>
                <td><f:link.action action="show" arguments="{location: location}">{location.capacity}</f:link.action></td>
                <td><f:link.action action="show" arguments="{location: location}">{location.logo.originalResource.name}</f:link.action></td>
                <td><f:link.action action="show" arguments="{location: location}">{location.images.originalResource.name}</f:link.action></td>
                <td><f:link.action action="show" arguments="{location: location}">{location.description}</f:link.action></td>
                <td><f:link.action action="show" arguments="{location: location}">{location.street}</f:link.action></td>
                <td><f:link.action action="show" arguments="{location: location}">{location.city}</f:link.action></td>
                <td><f:link.action action="show" arguments="{location: location}">{location.zip}</f:link.action></td>
                <td><f:link.action action="show" arguments="{location: location}">{location.country}</f:link.action></td>
                <td><f:link.action action="show" arguments="{location: location}">{location.countryCode}</f:link.action></td>
                <td><f:link.action action="show" arguments="{location: location}">{location.lng}</f:link.action></td>
                <td><f:link.action action="show" arguments="{location: location}">{location.lat}</f:link.action></td>
                <td><f:link.action action="edit" arguments="{location: location}" class="btn btn-default">Edit</f:link.action></td>
                <td><f:link.action action="delete" arguments="{location: location}" class="btn btn-danger">Delete</f:link.action></td>
            </tr>
        </f:for>
    </table>

    <f:link.action action="new" class="btn btn-default">New Location</f:link.action>
</f:section>
</html>
